%define		module	mechanize
Summary:	Library for automating interaction with web pages
Summary(pl.UTF-8):	Biblioteka do automatycznej interakcji ze stronami WWW
Name:		python3-%{module}
Version:	0.4.8
Release:	1
License:	BSD, ZPL 2.1
Group:		Development/Languages/Python
Source0:	https://github.com/python-mechanize/mechanize/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	0be3c261b6f44fee05fe2e5febbe8f76
URL:		https://github.com/python-mechanize/mechanize/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for automating interaction with web pages.

%description -l pl.UTF-8
Biblioteka do automatycznej interakcji ze stronami WWW.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT LICENSE ChangeLog README.rst
%dir %{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}/*.py
%{py3_sitescriptdir}/%{module}/__pycache__
%{py3_sitescriptdir}/mechanize-*.egg-info
%changelog
* Fri Jul 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-mechanize.git;a=log;h=master

* Fri Jul 01 2022 Jan Rękorajski <baggins@pld-linux.org> 9b95853
- rel 1

* Fri Jul 01 2022 Jan Rękorajski <baggins@pld-linux.org> 91515c3
- fix files, rel 2

* Fri Jul 01 2022 Jan Rękorajski <baggins@pld-linux.org> ec2757c
- up to 0.4.8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f31cfd6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d3810cf
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8c18a1f
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 9b2860d
- drop bogus rel macro

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 71bb516
- x32 rebuild
- release 3 (by relup.sh)

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> 40f12b8
- Up to 0.2.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 66117fc
- added BR: python-modules, rpm-pythonprov

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 86bf530
- Up to 0.2.4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5977962
- release 2

* Sun Nov 08 2009 witekfl <witekfl@pld-linux.org> a5f360a
- up to 0.1.11
- mentioned ZPL 2.1 license

* Wed Jan 21 2009 witekfl <witekfl@pld-linux.org> 886bd95
- up to 0.1.10

* Thu Oct 16 2008 Elan Ruusamäe <glen@pld-linux.org> dfca3e2
- BR setuptools, package egg info

* Thu Oct 16 2008 Elan Ruusamäe <glen@pld-linux.org> 9952689
- release 4 (python 2.6)

* Mon Feb 19 2007 Jakub Krajniak <jkrajniak@gmail.com> 8918d8d
- added R: python-ClientForm

* Tue Feb 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e42cab
- gpm-friendly Source0 URL

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0a3f642
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 131786f
- converted to UTF-8

